<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@1031CD=09</action>
    </script>
  </cheat>

  <cheat desc="Enable Debug Mode"> <comment>Set on character select screen (In Debug Mode, you will be able to select starting scene, gold, EXP and several items after you've chosen your character and name.)</comment>
    <script state="on">
      <action>temp0 =maincpu.pb@10361B</action>
    </script>
    <script state="run">
      <action>maincpu.pb@10361B=FF</action>
    </script>
    <script state="off">
      <action>maincpu.pb@10361B=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@1039E8=17</action>
      <action>maincpu.pb@1039E9=70</action>
    </script>
  </cheat>

  <cheat desc="Max STR - Fighter">
    <script state="run">
      <action>maincpu.pb@104176=03</action>
      <action>maincpu.pb@104177=E7</action>
    </script>
  </cheat>

  <cheat desc="Max A.C. - Fighter">
    <script state="run">
      <action>maincpu.pb@104162=03</action>
      <action>maincpu.pb@104163=E7</action>
    </script>
  </cheat>

  <cheat desc="Max armor - Fighter">
    <script state="run">
      <action>maincpu.pb@104165=FF</action>
    </script>
  </cheat>

  <cheat desc="Max STR - Mage">
    <script state="run">
      <action>maincpu.pb@104178=03</action>
      <action>maincpu.pb@104179=E7</action>
    </script>
  </cheat>

  <cheat desc="Max A.C. - Mage">
    <script state="run">
      <action>maincpu.pb@104166=03</action>
      <action>maincpu.pb@104167=E7</action>
    </script>
  </cheat>

  <cheat desc="Max armor - Mage">
    <script state="run">
      <action>maincpu.pb@104169=FF</action>
    </script>
  </cheat>

  <cheat desc="Max STR - Priest">
    <script state="run">
      <action>maincpu.pb@10417A=03</action>
      <action>maincpu.pb@10417B=E7</action>
    </script>
  </cheat>

  <cheat desc="Max A.C. - Priest">
    <script state="run">
      <action>maincpu.pb@10416A=03</action>
      <action>maincpu.pb@10416B=E7</action>
    </script>
  </cheat>

  <cheat desc="Max armor - Priest">
    <script state="run">
      <action>maincpu.pb@10416D=FF</action>
    </script>
  </cheat>

  <cheat desc="Max STR - Ninja">
    <script state="run">
      <action>maincpu.pb@10417C=03</action>
      <action>maincpu.pb@10417D=E7</action>
    </script>
  </cheat>

  <cheat desc="Max A.C. - Ninja">
    <script state="run">
      <action>maincpu.pb@10416E=03</action>
      <action>maincpu.pb@10416F=E7</action>
    </script>
  </cheat>

  <cheat desc="Max armor - Ninja">
    <script state="run">
      <action>maincpu.pb@104171=FF</action>
    </script>
  </cheat>

  <cheat desc="Get Items From Anywhere">
    <script state="on">
      <action>temp0 =maincpu.mw@027C12</action>
      <action>temp1 =maincpu.mw@02808E</action>
    </script>
    <script state="run">
      <action>maincpu.mw@027C12=6002</action> <!-- This ROM cheat was made by nolberto82 -->
      <action>maincpu.mw@02808E=6002</action>
    </script>
    <script state="off">
      <action>maincpu.mw@027C12=temp0 </action>
      <action>maincpu.mw@02808E=temp1 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@103E4B=59</action>
    </script>
    <script state="off">
      <action>maincpu.pb@103E4B=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite H.P. PL1">
    <script state="run">
      <action>maincpu.pb@103DF1=C8</action>
      <action>maincpu.pb@103DF3=C8</action>
    </script>
  </cheat>

  <cheat desc="Infinite Magic PL1">
    <script state="run">
      <action>maincpu.pb@103E3A=FA</action>
    </script>
  </cheat>

  <cheat desc="Infinite Medicine PL1">
    <script state="run">
      <action>maincpu.pb@103E36=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Antidote PL1">
    <script state="run">
      <action>maincpu.pb@103E37=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Elixir PL1">
    <script state="run">
      <action>maincpu.pb@103E35=08</action>
    </script>
  </cheat>

  <cheat desc="Infinite Gold PL1">
    <script state="run">
      <action>maincpu.pb@103E32=EA</action>
      <action>maincpu.pb@103E33=60</action>
    </script>
  </cheat>

  <cheat desc="Maximum Level PL1">
    <script state="run">
      <action>maincpu.pb@103E38=63</action>
    </script>
  </cheat>

  <cheat desc="Maximum AGL PL1">
    <script state="run">
      <action>maincpu.pb@103E39=FA</action>
    </script>
  </cheat>

  <cheat desc="Always have 60000 EXP PL1">
    <script state="run">
      <action>maincpu.pw@103E2E=EA60</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@103EF5=59</action>
    </script>
    <script state="off">
      <action>maincpu.pb@103EF5=01</action>
    </script>
  </cheat>

  <cheat desc="Infinite H.P. PL2">
    <script state="run">
      <action>maincpu.pb@103E9B=C8</action>
      <action>maincpu.pb@103E9D=C8</action>
    </script>
  </cheat>

  <cheat desc="Infinite Magic PL2">
    <script state="run">
      <action>maincpu.pb@103EE4=FA</action>
    </script>
  </cheat>

  <cheat desc="Infinite Medicine PL2">
    <script state="run">
      <action>maincpu.pb@103EE0=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Antidote PL2">
    <script state="run">
      <action>maincpu.pb@103EE1=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Elixir PL2">
    <script state="run">
      <action>maincpu.pb@103EDF=08</action>
    </script>
  </cheat>

  <cheat desc="Infinite Gold PL2">
    <script state="run">
      <action>maincpu.pb@103EDC=EA</action>
      <action>maincpu.pb@103EDD=60</action>
    </script>
  </cheat>

  <cheat desc="Maximum Level PL2">
    <script state="run">
      <action>maincpu.pb@103EE2=63</action>
    </script>
  </cheat>

  <cheat desc="Maximum AGL PL2">
    <script state="run">
      <action>maincpu.pb@103EE3=FA</action>
    </script>
  </cheat>

  <cheat desc="Always have 60000 EXP PL2">
    <script state="run">
      <action>maincpu.pw@103ED8=EA60</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
